function onBegin()
	disableMovement()
	walkTo(-1128)
	wait(0.4)
	player.Facing = getEnum("Celeste.Facings", "Right")
	wait(0.7)
	setFlag("SpamtonAppeared",true)
	playMusic("event:/CC/CC_Deltarune/CC_Deltarune_spamton")
	say("CC_Deltarune_SpamtonEncounter")
	player.Facing = getEnum("Celeste.Facings", "Left")
	wait(0.5)
	say("CC_Deltarune_SpamtonEncounterB")
	local answer = choice("CC_Deltarune_SpamtonEncounterChoiceA","CC_Deltarune_SpamtonEncounterChoiceB",
	"CC_Deltarune_SpamtonEncounterChoiceC","CC_Deltarune_SpamtonEncounterChoiceD","CC_Deltarune_SpamtonEncounterChoiceE")
	if answer == 1 then
		say("CC_Deltarune_SpamtonAnswerA")
		setFlag("ArcadeMachineUnlocked",true)
	elseif answer == 2 then
		say("CC_Deltarune_SpamtonAnswerB")
		setFlag("LocalSingles",true)
	elseif answer == 3 then
		say("CC_Deltarune_SpamtonAnswerC")
		setFlag("MoreMouseHints",true)
	elseif answer == 4 then
		say("CC_Deltarune_SpamtonAnswerD")
		setFlag("WantToWinFashionContest",true)
	else
		say("CC_Deltarune_SpamtonAnswerE")
	end
	say("CC_Deltarune_SpamtonFinal")
	setFlag("SpamtonAppeared",false)
	setFlag("SpamtonSecret",true)
	wait(0.1)
end

function onEnd()
	setFlag("JumpRefillsUnlocked",true)
	setFlag("SpamtonAppeared",false)
	playMusic("event:/CCDeltarune/cyber_City")
	setFlag("SpamtonSecret",true)
	enableMovement()
end